Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

 

Department:  Affected Products: ADTF 3.12.2, ADTF Device Toolbox

3.6.0, ADTF Display Toolbox 3.5.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: DisplayTB::2DDisplay

Resolution: Workaround Available FAQ Links: https://support.digitalwerk.net/projects/do

wnload-center/wiki/FAQ's#Q-Content-of-

Drawers-are-missing-since-upgrading-to-

ADTF-gt-38-

Description

Supportanfrage

Ich bin auf der Suche nach einer Möglichkeit in einem Video Display overlays wie z.B. einfachen Text oder shapes zu visualisieren.

Bisher habe ich Video daten in einem Qt Video Display  dargestellt.

Ich könnte theoretisch auf die Rohdaten des Bildes zugreifen und dort die Pixel in bestimmten formen überschreiben.

Für Text/Zahlen ist das allerdings eher unpraktisch.

Auf der Suche nach einer Möglichkeit Ich bin auf das 2D OpenGL Display und den Demo 2D Text Drawer und den Demo 2D Video

Drawer gestoßen.

Ich habe eine einfache Konfig erstellt, die diese beiden Drawer enthält. So wie ich das verstanden habe, sollten diese einen Video

Stream mit einem Text Stream in ein Bild kombinieren.

Das hat aber leider nicht funktioniert. Es wird nur der Hintergrund des 2D_OpenGL_Display angezeigt (ich kann die Farbe

verändern). Könnt ihr mir sagen, ob ich irgendetwas falsch konfiguriert habe? Oder sind die Demo Filter gar nicht implementiert?

Lösung

Es liegt daran, dass das 2D Display nichts anzeigt:

https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Content-of-Drawers-are-missing-since-upgrading-to-ADT

F-gt-38-

Alternativ könntest du auch noch mittels QML Scripting Filter einfach Overlays erzeugen, je nach Use case.

Aber 2D Display muss an der Stelle auch gehen, ja.

History

#1 - 2021-05-25 07:51 - hidden

- Status changed from New to In Progress

#4 - 2021-05-26 08:19 - hidden

- Private changed from No to Yes

#5 - 2021-05-26 11:55 - hidden

- Status changed from In Progress to Customer Feedback Required

- Topic set to DisplayTB::2DDisplay

Hi Sebastian,

ich denke es liegt daran, dass das 2D Display nichts anzeigt:
Löst das dein Problem ?

Alternativ könntest du auch noch mittels QML Scripting Filter einfach Overlays erzeugen, je nach Use case.

Aber 2D Display muss an der Stelle auch gehen, ja.

#6 - 2021-05-26 12:13 - hidden

Hi Florian,

Ahhhh, Ok. Das erklärt es. Dessen war ich mir nicht bewusst.

Ok, dann muss ich ggf den Workaround probieren, oder deinen Vorschlag.

So Interesse halber: Gibt es schon ein Plan für den Release der DisplayToolbox 3.6.x ? Wann ungefähr könnte man damit rechnen?

Danke und viele Grüße

Sebastian

#7 - 2021-05-28 10:56 - hidden

- Resolution set to Workaround Available

- FAQ Links set to

https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Content-of-Drawers-are-missing-since-upgrading-to-ADTF-gt-38-

Hallo Sebastian,

Gibt es schon ein Plan für den Release der DisplayToolbox 3.6.x ? Wann ungefähr könnte man damit rechnen?

 Der Release ist eigentlich fast fertig aber aufgrund von Ressourcen-Engpässen im SOME/IP Decoding zurückpriorisiert worden.

Im Juni kommt dann definitiv eine Display TB 3.6.0, genaueres kann ich dir leider aktuell nicht sagen und muss dich weiterhin auf den master

vertrösten (hier musst du auch den Workaround nicht mehr verwenden.

#8 - 2021-06-07 10:47 - hidden

Hallo Sebastian,

kann damit das Ticket geschlossen werden - oder benötigst du noch weitere Unterstützung?

Grüße

Margarete

#9 - 2021-06-08 08:30 - hidden

Hallo Zusammen,

Ich habe den Workaround mit ADTF_CONNECTION_CREATION_STATE  = 2 probiert, Text Anzeigen hat funktioniert, ein Videostream aber

irgendwie nicht.

Ich habe aber wegen anderer Prios das Thema erstmal verschoben. ggf kommt bis dahin die  neue Toolbox und dann schau ich mir das nochmal an.

VG

Sebastian

#10 - 2021-06-08 08:39 - hidden

- Project changed from 30 to Public Support

- Subject changed from Insert video overlays to Drawer don't show content

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#11 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
